| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Hooks.FadeInactive

Portability | unportable
Stability | unstable
Maintainer | Justin Bogner <mail@justinbogner.com>

Contents

Usage

Description
Makes XMonad set the _NET_WM_WINDOW_OPACITY atom for inactive windows, which causes those windows to become slightly translucent if something like xcompmgr is running
Synopsis

fadeInactiveLogHook :: Integer -> X ()

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad
     import XMonad.Hooks.FadeInactive

     myLogHook :: X ()
     myLogHook = fadeInactiveLogHook fadeAmount
         where fadeAmount = 0xdddddddd

     main = xmonad defaultConfig { logHook = myLogHook }

fadeAmount can be any integer you will need to have xcompmgr http://freedesktop.org/wiki/Software/xapps or something similar for this to do anything

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

fadeInactiveLogHook :: Integer -> X () | Source

lowers the opacity of inactive windows to the specified amount
Produced by Haddock version 2.4.2